Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgProducer::GraphicsContextImplementation Class Reference

Inheritance diagram for osgProducer::GraphicsContextImplementation:

[legend]
List of all members.

## Public Member Functions
| GraphicsContextImplementation (Traits *traits)
| Construct a graphics context to specified traits.
| GraphicsContextImplementation (Producer::RenderSurface *rs)
| Construct a graphics context with specified RenderSurface.
Producer::RenderSurface * | getRenderSurface ()
| Return the RenderSurface that implements the graphics context.
const Producer::RenderSurface * | getRenderSurface () const
| Return the const RenderSurface that implements the graphics context.
virtual bool | realizeImplementation ()
| Realise the GraphicsContext.
virtual bool | isRealizedImplementation () const
| Return true if the graphics context has been realised and is ready to use.
virtual void | closeImplementation ()
| Close the graphics context.
virtual void | makeCurrentImplementation ()
| Make this graphics context current.
virtual void | makeContextCurrentImplementation (osg::GraphicsContext *readContext)
| Make this graphics context current with specified read context.
virtual void | bindPBufferToTextureImplementation (GLenum buffer)
| Bind the graphics context to associated texture.
virtual void | swapBuffersImplementation ()
| swap the front and back buffers.
## Protected Member Functions
virtual | ~GraphicsContextImplementation ()
## Protected Attributes
bool | _closeOnDestruction
osg::ref_ptr< Producer::RenderSurface > | _rs

## Constructor & Destructor Documentation

osgProducer::GraphicsContextImplementation::GraphicsContextImplementation | ( | Traits * | traits | ) |

| Construct a graphics context to specified traits.

osgProducer::GraphicsContextImplementation::GraphicsContextImplementation | ( | Producer::RenderSurface * | rs | ) |

| Construct a graphics context with specified RenderSurface.

virtual osgProducer::GraphicsContextImplementation::~GraphicsContextImplementation | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osgProducer::GraphicsContextImplementation::bindPBufferToTextureImplementation | ( | GLenum | buffer | ) | `[virtual]`

| Bind the graphics context to associated texture. Implements osg::GraphicsContext.

virtual void osgProducer::GraphicsContextImplementation::closeImplementation | ( |  | ) | `[virtual]`

| Close the graphics context. Implements osg::GraphicsContext.

const Producer::RenderSurface* osgProducer::GraphicsContextImplementation::getRenderSurface | ( |  | ) | const`[inline]`

| Return the const RenderSurface that implements the graphics context.

Producer::RenderSurface* osgProducer::GraphicsContextImplementation::getRenderSurface | ( |  | ) | `[inline]`

| Return the RenderSurface that implements the graphics context.

virtual bool osgProducer::GraphicsContextImplementation::isRealizedImplementation | ( |  | ) | const`[inline, virtual]`

| Return true if the graphics context has been realised and is ready to use. Implements osg::GraphicsContext.

virtual void osgProducer::GraphicsContextImplementation::makeContextCurrentImplementation | ( | osg::GraphicsContext * | readContext | ) | `[virtual]`

| Make this graphics context current with specified read context. Implements osg::GraphicsContext.

virtual void osgProducer::GraphicsContextImplementation::makeCurrentImplementation | ( |  | ) | `[virtual]`

| Make this graphics context current. Implements osg::GraphicsContext.

virtual bool osgProducer::GraphicsContextImplementation::realizeImplementation | ( |  | ) | `[virtual]`

| Realise the GraphicsContext. Implements osg::GraphicsContext.

virtual void osgProducer::GraphicsContextImplementation::swapBuffersImplementation | ( |  | ) | `[virtual]`

| swap the front and back buffers. Implements osg::GraphicsContext.

## Member Data Documentation

bool osgProducer::GraphicsContextImplementation::_closeOnDestruction`[protected]`

osg::ref_ptr<Producer::RenderSurface> osgProducer::GraphicsContextImplementation::_rs`[protected]`

The documentation for this class was generated from the following file:

- GraphicsContextImplementation